"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListDocumentsComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactBootstrap = require("react-bootstrap");
var _Stack = _interopRequireDefault(require("react-bootstrap/Stack"));
var _hi = require("react-icons/hi");
var _DocumentsGraphqlTable = require("./components/DocumentsGraphqlTable");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var ListDocumentsComponent = function ListDocumentsComponent(_ref) {
  var type = _ref.type,
    apolloClient = _ref.apolloClient,
    tablesConfig = _ref.tablesConfig,
    onRowClick = _ref.onRowClick,
    onDeleteButtonClick = _ref.onDeleteButtonClick,
    onViewButtonClick = _ref.onViewButtonClick,
    onEditButtonClick = _ref.onEditButtonClick,
    onCreateButtonClick = _ref.onCreateButtonClick,
    gqlQuery = _ref.gqlQuery;
  if (!tablesConfig) return;
  return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card, {
    className: "content border-secondary w-100 mt-5",
    variant: "light"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card.Header, null, /*#__PURE__*/_react["default"].createElement(_Stack["default"], {
    direction: "horizontal",
    gap: 3
  }, /*#__PURE__*/_react["default"].createElement("h6", null, "Documents of type - ", /*#__PURE__*/_react["default"].createElement("strong", {
    className: "text-success"
  }, type)), /*#__PURE__*/_react["default"].createElement("div", {
    className: "ms-auto"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    className: "bg-light text-dark",
    onClick: onCreateButtonClick
  }, /*#__PURE__*/_react["default"].createElement(_hi.HiPlusSm, {
    className: "mr-1 mb-1"
  }), /*#__PURE__*/_react["default"].createElement("small", null, "Add new ".concat(type)))))), /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card.Body, {
    className: "text-break"
  }, /*#__PURE__*/_react["default"].createElement(_DocumentsGraphqlTable.DocumentsGraphqlTable, {
    tableConfig: tablesConfig,
    type: type,
    gqlQuery: gqlQuery,
    apolloClient: apolloClient,
    onRowClick: onRowClick,
    onDeleteButtonClick: onDeleteButtonClick,
    onViewButtonClick: onViewButtonClick,
    onEditButtonClick: onEditButtonClick
  })));
};
exports.ListDocumentsComponent = ListDocumentsComponent;