"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GraphqlQueryView = void 0;
var _react = _interopRequireWildcard(require("react"));
var _fi = require("react-icons/fi");
var _reactBootstrap = require("react-bootstrap");
require("codemirror/lib/codemirror.css");
require("codemirror/theme/shadowfox.css");
require("codemirror/addon/display/autorefresh.js");
var _reactCodemirror = require("react-codemirror2");
var _utils = require("../utils");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; } //import 'codemirror-graphql/mode.js';
//import 'codemirror/mode/javascript/javascript.js';
// i have to fix this anbd update to codemiro 6
var GraphqlQueryView = function GraphqlQueryView(_ref) {
  var queryToDisplay = _ref.queryToDisplay,
    start = _ref.start,
    limit = _ref.limit,
    orderBy = _ref.orderBy,
    filterBy = _ref.filterBy;
  var variablesObj = {
    "offset": start,
    "limit": limit,
    "orderBy": orderBy || {},
    "filter": filterBy || {}
  };
  var _useState = (0, _react.useState)(null),
    _useState2 = _slicedToArray(_useState, 2),
    textInputEditor = _useState2[0],
    setTextInputEditor = _useState2[1];
  var _useState3 = (0, _react.useState)(null),
    _useState4 = _slicedToArray(_useState3, 2),
    variablesEditor = _useState4[0],
    setVariablesEditor = _useState4[1];
  var QLEDITOR_READ_OPTIONS = {
    mode: 'graphql',
    height: "auto",
    readOnly: true,
    theme: "shadowfox",
    refresh: true,
    autoRefresh: true
  };
  var QLVAR_READ_OPTIONS = {
    mode: 'json',
    height: "auto",
    theme: "shadowfox",
    autoRefresh: true,
    refresh: true,
    readOnly: true
  };
  var copyTest = function copyTest(text) {
    (0, _utils.copyToClipboard)(text);
  };
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy grapl query",
    onClick: function onClick() {
      copyTest(queryToDisplay);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror.UnControlled, {
    value: queryToDisplay,
    options: QLEDITOR_READ_OPTIONS,
    className: "readOnly"
  }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy variables",
    onClick: function onClick() {
      copyTest(variablesObj);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror.UnControlled, {
    value: JSON.stringify(variablesObj, null, 4),
    options: QLVAR_READ_OPTIONS,
    className: "readOnly"
  }));
};
exports.GraphqlQueryView = GraphqlQueryView;