"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LanguageSelectComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var CONST = _interopRequireWildcard(require("./constants"));
var _Form = _interopRequireDefault(require("react-bootstrap/Form"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * 
 * @param {*} documentation described at context level
 * @returns an array including described languages
 */
function extractLanguages(documentation) {
  var langArray = [];
  documentation.map(function (doc) {
    if (doc.hasOwnProperty(CONST.LANGUAGE)) {
      langArray.push(doc[CONST.LANGUAGE]);
    }
  });
  return langArray;
}

/**
 * 
 * @param {*} langaugeArray array including described languages at context level 
 * @returns an array of options to be provided to select components
 */
function constructOptions(langaugeArray) {
  var options = [];
  langaugeArray.map(function (lang) {
    options.push( /*#__PURE__*/_react["default"].createElement("option", {
      value: lang
    }, lang));
  });
  return options;
}
var LanguageSelectComponent = function LanguageSelectComponent(_ref) {
  var frame = _ref.frame,
    setSelectedLanguage = _ref.setSelectedLanguage;
  if (!frame) return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null);
  if (!frame.hasOwnProperty(CONST.CONTEXT)) {
    throw new Error("No Context found in frames ...");
  }

  // No documentation provided 
  if (!frame[CONST.CONTEXT].hasOwnProperty(CONST.DOCUMENTATION)) return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null);

  // extract described languages from documentation
  var langaugeArray = extractLanguages(frame[CONST.CONTEXT][CONST.DOCUMENTATION]);

  // if defined language is same as default language "en", docnt display select component
  if (langaugeArray.length === 1 && langaugeArray.includes(CONST.DEFAULT_LANGUAGE)) return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null);
  return /*#__PURE__*/_react["default"].createElement(_Form["default"].Select, {
    size: "sm",
    onChange: function onChange(e) {
      return setSelectedLanguage(e.target.value);
    },
    style: {
      width: "70px"
    }
  }, constructOptions(langaugeArray));
};
exports.LanguageSelectComponent = LanguageSelectComponent;