"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractDocuments = extractDocuments;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function cleanIdValue(keyName, keyValue) {
  if (keyValue === "null") return "";
  if (keyName !== "_id") return keyValue;
  try {
    var regexp = /(?:\/+.*?\/)(.*$)/g;
    var array01 = _toConsumableArray(keyValue.matchAll(regexp));
    return array01[0][1];
  } catch (err) {
    return keyValue;
  }
}
function extractDocuments(documentResultsArr) {
  if (!documentResultsArr) {
    //alert(JSON.stringify(documentResultsArr))
    return [];
  }
  var extractedResults = [];
  documentResultsArr.map(function (item) {
    var newJson = {};
    for (var key in item) {
      // if it is an array this is set type, I can have more than 1 result for row
      //?? I can pust the count
      if (Array.isArray(item[key])) {
        newJson[key] = "".concat(item[key].length);
      } else if (item[key] && _typeof(item[key]) === "object") {
        //key 
        var objectKey = Object.keys(item[key]);
        objectKey.forEach(function (element) {
          var columnName = element === "_id" ? "".concat(key, "---id") : "".concat(key, "---").concat(element);
          newJson[columnName] = cleanIdValue(element, item[key][element]);
        });
      } else {
        if (key === "_id") {
          newJson["fullID"] = "".concat(item[key]);
        }
        newJson[key] = cleanIdValue(key, "".concat(item[key]));
      }
    }
    extractedResults.push(newJson);
  });
  //console.log("extractedResults", extractedResults)
  return extractedResults;
}